Bug Hunting Session
Bug 112879 - Update VCL.xcu font defaults for Chinese (Traditional) to reflect current norms
Summary: Update VCL.xcu font defaults for Chinese (Traditional) to reflect current norms
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.6.1 release
Hardware: All All
: medium normal
Assignee: Cheng-Chia Tseng
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: CJK CJK-Chinese-Traditional
  Show dependency treegraph
 
Reported: 2017-10-04 16:21 UTC by Cheng-Chia Tseng
Modified: 2017-10-30 23:45 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
This patch is to add those fonts to help Linux and MacOS users to have better experience. (9.36 KB, patch)
2017-10-04 16:22 UTC, Cheng-Chia Tseng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cheng-Chia Tseng 2017-10-04 16:21:01 UTC
Description:
Old preferred fonts are outdated and not maintained while some new modern fonts are added.

This patch is to clean the traditional Chinese (2 variants as zh-tw and zh-hk) preferred fonts to reflect the situation now of 2017.

Steps to Reproduce:
1. Open LibreOffice and check the preferred fonts in Tools > Options > LibreOffice Writer > Basic Fonts (Asian) dialogue

Actual Results:  
The fonts LibreOffice picked for traditional Chinese are outdated. 
In Linux, it chooses 文泉驛微米黑 for Heading and AR PL UMing TW for the others.
In MacOS, it chooses LiHei Pro for Heading and LiSong Pro for the others.
In Windows, it chooses 微軟正黑體 for Heading and 新細明體 for the others.

Expected Results:
In Linux, it should choose 思源黑體 for Heading and 思源宋體 for the others.
In MacOS, it should choose 蘋方-繁 for Heading and 宋體-繁 for the others.
And in Windows platform, there is no need to change.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Cheng-Chia Tseng 2017-10-04 16:22:38 UTC
Created attachment 136761 [details]
This patch is to add those fonts to help Linux and MacOS users to have better experience.

The patch add new fonts in Linux and MacOS to reflect 2017 usage.
Those removed fonts are outdated and not maintained anymore.
Comment 2 Xisco Faulí 2017-10-04 16:36:34 UTC
Dear Cheng-Chia Tseng,
Thanks for the patch.
Could you please submit it to gerrit as described here:
https://wiki.documentfoundation.org/Development/gerrit/SubmitPatch?
Comment 3 Cheng-Chia Tseng 2017-10-04 16:54:40 UTC
Thanks for the information, I will try to follow the guide.
Comment 4 V Stuart Foote 2017-10-04 17:21:02 UTC
@Matthew F, Mark H,

Patch touches both zh-tw, zh-hk but not zh-mo which to my understanding would need similar "refresh" of default traditional fonts.

And while not proposed here, is there a need to do similar refresh for the locales using simplified fonts, i.e. zh-cn, zh-sg

Question though, as with some of the western font defaults, would there be font metric issues we'd need to worry about with such a change? I don't work in Chinese enough to have much of a feel for the current range of popular fonts cross platform.

@Eike, Kendy, Andras--just an fyi to you both (unless you are up to date with Asian typography, then feel free).

=-ref-=
https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/VCL.xcu?#276
Comment 5 Cheng-Chia Tseng 2017-10-04 17:55:57 UTC
Oh, I haven't noticed there is a zh-mo locale.
If it is going to be refreshed as well, just copy the zh-hk ones. They share the most of the fonts, though zh-mo is rarely used.
Comment 6 Cheng-Chia Tseng 2017-10-05 09:29:16 UTC
Here is the gerrit link https://gerrit.libreoffice.org/#/c/43163/
Comment 7 Commit Notification 2017-10-19 18:41:59 UTC
Cheng-Chia Tseng committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=278bdbca318defa3bb862e0422cff2492ef46705

tdf#112879 Update to Chinese (traditional) to reflect current norms

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.